%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-mwlib
Version:        0.8.3
Release:        1%{?dist}
Summary:        MediaWiki conversion library for Python

Group:          Development/Languages
# mwlib/cdb.py under Python license, everything else under BSD
License:        BSD and Python
URL:            http://code.pediapress.com/
Source0:        http://pypi.python.org/packages/source/m/mwlib/mwlib-%{version}.tar.gz
Patch0:         mwlib-0.8.0.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel re2c python-docutils python-flup odfpy pyparsing python-simplejson python-setuptools
Requires:       perl python-imaging python-flup pyparsing odfpy python-simplejson
# Virtual provides for this capability started with Fedora 9
%if 0%{fedora} < 9
Requires:       tetex-latex
%else
Requires:       tex(latex)
%endif

%description
mwlib is a Python library for parsing MediaWiki articles. It is
currently aimed at developers, who have a need to somehow handle
MediaWiki articles.

%prep
%setup -q -n mwlib-%{version}
%patch0 -p1

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
sed -i '/#! \/usr\/bin\/env python/d' %{buildroot}%{python_sitearch}/mwlib/*.py
chmod a-x %{buildroot}%{python_sitearch}/mwlib/snippets.txt
chmod 755 %{buildroot}%{python_sitearch}/mwlib/_mwscan.so

%clean 
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc example_conf.txt README.txt docs/*.html
%{python_sitearch}/mwlib*
%{_bindir}/*


%changelog
* Fri Aug 22 2008 Ian Weller <ianweller@gmail.com> 0.8.3-1
- Bump to 0.8.3

* Mon Aug 04 2008 Ian Weller <ianweller@gmail.com> 0.8.1-1
- Bump to 0.8.1

* Thu Jul 31 2008 Paul W. Frields <stickster@gmail.com> - 0.8.0-3
- Fix Requires to unbreak F-8 dependencies

* Fri Jul 25 2008 Ian Weller <ianweller@gmail.com> 0.8.0-2
- Fix source URL (again)
- Remove make commands because setup.py build does that now
- Kill off the check section
- Fix license

* Mon Jul 21 2008 Ian Weller <ianweller@gmail.com> 0.8.0-1
- Bump to 0.8.0

* Sun Jul 13 2008 Ian Weller <ianweller@gmail.com> 0.7.1-1
- Fix source URL, license, other things

* Sun Jul 13 2008 Paul W. Frields <stickster@gmail.com> - 0.7.1-0.1
- Initial RPM package

